function [posarray, distarray] = RandomWalkMK(Stepnumber)

r0 = [0 0]';

posarray = zeros(2,Stepnumber);
distarray = zeros(1,Stepnumber);

posarray(:,1) = r0;
distarray(:,1) = 0;

randomnumbers = randi(4,Stepnumber);
for i = 2:Stepnumber
    r = randomnumbers(i);
    posarray(:,i) = posarray(:,i-1);
    if r == 1
        posarray(1,i) = posarray(1,i) + 1;
    elseif r == 2
        posarray(1,i) = posarray(1,i) - 1;
    elseif r == 3
        posarray(2,i) = posarray(2,i) - 1;
    elseif r == 4
        posarray(2,i) = posarray(2,i) + 1;
    end
    distarray(i) = norm(posarray(:,i)- [0,0]')^2;
end
end
